#include "MenuTextSk1_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextSk1_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk1_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_1;
}

std::shared_ptr<Entity> CreateMenuTextSk1_Player1Keyboard()
{
	return std::make_shared<MenuTextSk1_Player1Keyboard>();
}


